> ## Documentation Index
> Fetch the complete documentation index at: https://hevninc.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transaction status

> Check status of any transaction by quote_id.



## OpenAPI

````yaml /openapi.json get /api/v1/balance/transaction/status/{quote_id}
openapi: 3.1.0
info:
  title: HEVN API
  description: Backend API for HEVN mobile neobank
  version: 0.1.2
servers: []
security: []
paths:
  /api/v1/balance/transaction/status/{quote_id}:
    get:
      tags:
        - Balance
      summary: Get transaction status
      description: Check status of any transaction by quote_id.
      operationId: get_transaction_status_api_v1_balance_transaction_status__quote_id__get
      parameters:
        - name: quote_id
          in: path
          required: true
          schema:
            type: string
            title: Quote Id
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UniversalTransactionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UniversalTransactionResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        quoteId:
          type: string
          title: Quoteid
        type:
          type: string
          title: Type
        paymentChannel:
          type: string
          title: Paymentchannel
        status:
          type: string
          title: Status
        fromAmount:
          type: number
          title: Fromamount
        fromCurrency:
          type: string
          title: Fromcurrency
        toAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Toamount
        toCurrency:
          type: string
          title: Tocurrency
        originTxHash:
          anyOf:
            - type: string
            - type: 'null'
          title: Origintxhash
        destinationTxHash:
          anyOf:
            - type: string
            - type: 'null'
          title: Destinationtxhash
        depositAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Depositaddress
        errorMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Errormessage
        expiresAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Expiresat
        createdAt:
          type: string
          format: date-time
          title: Createdat
      type: object
      required:
        - id
        - quoteId
        - type
        - paymentChannel
        - status
        - fromAmount
        - fromCurrency
        - toCurrency
        - createdAt
      title: UniversalTransactionResponse
      description: Universal transaction response.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````